Create Settle (Approved Auth)
POST/payments/{payment-id}/settles
Creates a settle (capture) request following a previously approved Auth transaction.
Request
Path Parameters
Payment ID generated by REST API
Header Parameters
Idempotency Key for the request
- application/json
Body
required
Array [
]
Array [
]
Array [
Array [
]
]
Array [
]
Array [
]
Processing entityId provided by Nuvei.
ID of the transaction in the merchant system.
Possible values: <= 45 characters
The transaction amount.
A free text field used to identify the product/service sold. If this parameter is left empty, need to insert a concatenation of all item names. It's not related to rebilling system product id. Risk rules and traffic management rules are usually built based on this field value.
Possible values: <= 50 characters
custom
object
urlDetails
object
With this class, a merchant can dynamically provide possible URLs to which the end user is redirected after a payment is made, as well as a dynamic URL for DMNs.
The URL to which notifications for outcome of the financial transactions is sent.
The URL to which the end user is redirected for a successful transaction with an APM.
The URL to which the end user is redirected for an unsuccessful transaction with an APM.
The URL to which the end user is redirected for a pending transaction with an APM.
The URL to which the end user is redirected in case of a successful transaction with an APM that shuold open in an external browser.
An optional parameter that represents the total Settle transactions to be executed against the Auth transaction.
Possible values: >= 1
2extendedData
object
lodging
object
reservationDetails
object
Merchant reference
Customer service phone number
Possible values: [NotApplicable, NoShow]
Possible values: [PositionNotUsed, Reserved, Restaurant, GiftShop, MiniBar, Telephone, Other, Laundry]
Check-in date in YYYYMMDD format
Check-out date in YYYYMMDD format
Property phone number
Hotel or cruise name
Possible values: [Cruise, Hotel]
Total authorized amount
rooms
object
Daily room rate
Total number of nights
passengerDetails
object[]
List of passengers
Full name of the passenger
segments
object[]
Departure leg dates, up to 4
Possible values: <= 4
Departure date in YYYYMMDD format
airlines
object
Passenger Name Record identifier in airline reservation system
Unique reservation identifier in the GDS
CRS name, e.g. Amadeus, Sabre, Galileo
Primary airline ticket number
Document type, typically TKT (e-ticket) or OT
UTC date/time of first flight leg
UTC timestamp of last ticket issue or reissue
IATA agency code
Travel agency name
Agency invoice reference
Aircraft type ICAO code (e.g., B737)
Possible values: [Restricted, NotRestricted]
Two-letter IATA issuing airline code
Possible values: >= 2 characters and <= 2 characters
Indicates whether the payer is a passenger
Total number of passengers (excluding infants)
Number of infants
Passport identifier of payer
totalAmounts
object
Total fare excluding taxes and fees
Total tax amount
Total fees
Boarding or service fee
Ticket issuing location
ancillaryServices
object[]
passenger
object
flight
object
services
object[]
Possible values: >= 3 characters and <= 3 characters
flightLegsDetails
object[]
Possible values: <= 4
Two-letter IATA airline code
Possible values: >= 2 characters and <= 2 characters
Airline flight number
Possible values: non-empty
Local departure airport date/time
Local arrival airport date/time
ISO-2 country code
Possible values: >= 2 characters and <= 2 characters
Departure city name
IATA 3-letter departure airport code
Possible values: >= 3 characters and <= 3 characters
ISO-2 country code
Possible values: >= 2 characters and <= 2 characters
Destination city name
IATA 3-letter destination airport code
Possible values: >= 3 characters and <= 3 characters
Domestic or International
Possible values: [Domestic, International]
RoundTrip or OneWay. Required when Risk pre-Auth is enabled
Possible values: [RoundTrip, OneWay]
For example - P physical or E electronic.
Ticket recipient name
Fare basis or booking code
Cabin or service class
Seat or fare class
O - destination, X - connection, or - blank
Possible values: non-empty and <= 1 characters, [O, X, ]
Departure tax amount
ISO-3 currency code
Possible values: >= 3 characters and <= 3 characters
Fare amount for this leg
Fees for this leg
Taxes for this leg
Minutes between legs
passengersDetails
object[]
Possible values: <= 1
Passport number exactly as printed
Airline customer identifier
Loyalty program number
Passenger title, e.g. Mr, Ms, Dr
Passenger first name
Possible values: non-empty
Passenger last name
Possible values: non-empty
Required if present on passport
Full passenger name as shown on the ticket
Date of birth, YYYY-MM-DD
Passenger contact phone number
Responses
- 201
- 400
- 401
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
2f00eba7-66ad-4d8b-8d54-b8c9183e664fNuvei Digital Payments Gateway Transaction ID
Possible values: <= 20 characters
The transaction ID of the transaction in the event that an external service is used.
Possible values: <= 50 characters
The transaction amount.
result
object
required
Possible values: [approved, authorizedOnly, declined, error, pending, redirect, challenge, fingerprint, authenticated, authenticationNotSupported, actionRequired]
errors
object
Possible values: <= 11 characters
7000.1000Possible values: <= 400 characters
Internal Processing ErrorInternal reference for troubleshooting
Possible values: <= 400 characters
110.1290The authorization code of the transaction.
Possible values: <= 128 characters
providerResponseDetails
object
Possible values: <= 100 characters
Possible values: <= 400 characters
additionalTransactionInfo
object
{
"settleId": "2f00eba7-66ad-4d8b-8d54-b8c9183e664f",
"transactionId": "string",
"externalTransactionId": "string",
"amount": 0,
"currency": "string",
"result": {
"status": "approved",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1290"
}
},
"authCode": "string",
"providerResponseDetails": {
"code": "string",
"reason": "string"
},
"additionalTransactionInfo": {
"additionalTransactionBankId": "string",
"additionalExternalTransactionId": "string",
"referenceId": "string"
}
}